> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 视频 API

> 通过 Omniall AI 调用 Kling 系列视频（OpenAI 风格异步任务）。

# Kling 视频 API

通过 **`https://api.omniall.ai`** 调用 Kling，协议兼容 OpenAI Video。

| 说明 | 方法 | 路径 |
| - | - | - |
| 创建 | `POST` | `/v1/videos` |
| 状态 | `GET` | `/v1/videos/{task_id}` |
| 内容 | `GET` | `/v1/videos/{task_id}/content` |

生成别名（大小写不敏感）：`kling-1.0`、`kling-1.5`、`kling-2.0`、`kling-2.1`、`kling-2.5`、`kling-3.0`、`kling-3.0-omni`、`kling-o1`。见[模型广场](https://omniall.ai/pricing)。

```bash theme={null}
curl -X POST "https://api.omniall.ai/v1/videos" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "kling-2.5",
    "prompt": "一只猫在钢琴上打盹",
    "seconds": "5",
    "metadata": {
      "output_config": {
        "resolution": "720P",
        "aspect_ratio": "16:9",
        "audio_generation": "Disabled"
      }
    }
  }'
```

完整字段与用例见 **API Reference → 视频 → 快手可灵**。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.